use std::{
    fs::File,
    io::{BufRead, BufReader},
};

use regex::Regex;

fn main() {
    let input_file = File::open("input.txt").unwrap();
    let reader = BufReader::new(input_file);
    let regexp = Regex::new(r"[a-zA-z]").unwrap();

    let mut sum = 0;
    for line in reader.lines() {
        if let Ok(line) = line {
            let nums = regexp.replace_all(&line, "").to_string();
            let str = nums.chars().nth(0).unwrap().to_string()
                + nums.chars().last().unwrap().to_string().as_str();
            sum += str.parse::<i32>().unwrap();
        }
    }

    println!("{}", sum);
}
